<div class="container mr-top">

    <div class="topbar">

        <nav>

            <div class="logo">
                <mr-logo></mr-logo>
            </div>

            <!-- Auth -->



                <ul class="navigation">

                    <ng-container *ngIf="(currentUser$ | async) as user">
                        <ng-container *ngIf="(pushState$ | async) as push">
                            <li>
                                <a class="icon" title="Mensajes" routerLink="/inbox" routerLinkActive="active">
                                    <i class="las la-envelope"></i>
                                    <span class="dot" mr-blinking-dot *ngIf="push.newMessages"></span>
                                </a>
                            </li>

                            <li>
                                <a class="icon" title="Notificaciones" routerLink="/notifications" routerLinkActive="active">
                                    <i class="las la-bell"></i>
                                    <span class="dot" mr-blinking-dot *ngIf="push.newInvites || push.newRequests"></span>
                                </a>
                            </li>
                        </ng-container>

                        <li>
                            <a class="icon" title="Nuevo hilo" routerLink="/threads/new" routerLinkActive="active">
                                <i class="las la-feather-alt"></i>
                            </a>
                        </li>

                        <li>
                            <a class="icon" title="Nueva ficha" routerLink="/files/new" routerLinkActive="active">
                                <i class="las la-paperclip"></i>
                            </a>
                        </li>
                    </ng-container>

                    <li>
                        <a class="icon" title="Buscar" routerLink="/search" routerLinkActive="active">
                            <i class="las la-search"></i>
                        </a>
                    </li>

                </ul>

            <ng-container *ngIf="(currentUser$ | async) as user">
                <div class="profile">
                    <i class="las la-user-circle"></i>
                    <span class="triangle"></span>

                    <div class="submenu">
                        <a [routerLink]="(user.username | profileUrl)">
                            <b>@{{ user.username }}</b>
                            <br>
                            Mi perfil
                        </a>
                        <hr>
                        <a title="Configuración" [routerLink]="(user.username | profileUrl) + '/settings'">
                            Configuración
                        </a>
                        <hr>
                        <a title="Cerrar Sesión" (click)="logout()">
                            Cerrar sesión
                        </a>
                    </div>
                </div>
            </ng-container>

            <!-- Unauth -->
            <ng-container *ngIf="(currentUser$ | async) === null">

                <ul class="navigation unauth">
                    <li><a routerLink="/auth/login">LOGIN</a></li>
                    <li><a class="sign" routerLink="/auth/signup">SIGN UP</a></li>
                </ul>

            </ng-container>

        </nav>
    </div>
</div>
